# Antares Logger Module

[![Laravel 5.4](https://img.shields.io/badge/Laravel-5.4-orange.svg)](http://laravel.com)
[![Coverage Status](https://coveralls.io/repos/github/antaresproject/logger/badge.svg?branch=0.9.2)](https://coveralls.io/github/antaresproject/logger?branch=0.9.2)
[![Build Status](https://travis-ci.org/antaresproject/logger.svg?branch=0.9.2)](https://travis-ci.org/antaresproject/logger)
[![Code Climate](https://codeclimate.com/github/antaresproject/logger/badges/gpa.svg)](https://codeclimate.com/github/antaresproject/logger)
[![GitHub issues](https://img.shields.io/github/issues/antaresproject/logger.svg)](https://github.com/antaresproject/logger/issues)
[![GitHub forks](https://img.shields.io/github/forks/antaresproject/logger.svg)](https://github.com/antaresproject/logger/network)
[![GitHub stars](https://img.shields.io/github/stars/antaresproject/logger.svg)](https://github.com/antaresproject/logger/stargazers)
[![GitHub license](https://img.shields.io/badge/license-New%20BSD-blue.svg)](https://raw.githubusercontent.com/antaresproject/logger/0.9.2/LICENSE)

Logger is a module responsible for gathering and displaying logs coming from multiple parts of the system and other modules. It covers:

   - Activity log - events related to objects in the system. E.g. changing user details.
   - Error log - application errors with detailed information for easier debugging.
   - Request log - all the HTTP requests to the application.
   - Automation log - logs of the <u>Automation</u> module.
   - Notification log - all the notifications sent to users by <u>Notification</u> module.
   
![logger](docs/img/logger.PNG)

## Documentation

Antares Logger Module documentation [docs.antaresproject.io/php-framework/core-modules/logger](http://www.docs.antaresproject.io/php-framework/core-modules/logger).

Full Antares documentation can be found at [docs.antaresproject.io/php-framework](http://www.docs.antaresproject.io/php-framework).


## Changelog

Antares Logger changelog can be found in release notes [docs.antaresproject.io/php-framework/getting-started/changelog#logger](http://www.docs.antaresproject.io/php-framework/getting-started/changelog#logger).

You can find full Antares changelog in Antares Documentation [docs.antaresproject.io/php-framework/getting-started/changelog](http://www.docs.antaresproject.io/php-framework/getting-started/changelog).

## Issues

The issue list of this repo is **exclusively** for bug reports and feature requests.

Please follow [Issue Reporting Guide](http://www.docs.antaresproject.io/php-framework/getting-started/issues-reporting-guide) before opening an issue. Issues not following the guide will be closed without further investigation.

## Contribution

Please follow [Contribution Guide](http://www.docs.antaresproject.io/php-framework/getting-started/contribution-guide) before making a pull request.

## Community

* Twitter: @antaresproject
* Forum: (coming soon)
* Blog: (coming soon)
* Email: contact (at) antaresproject.io


## License

This software is released under the BSD 3-Clause License.

© 2017 INBS.Software.
